@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface SpringWebserviceEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
SpringWebserviceEndpointBuilderFactory.AdvancedSpringWebserviceEndpointBuilder
Advanced builder for endpoint for the Spring WebService component.
|
static interface |
SpringWebserviceEndpointBuilderFactory.AdvancedSpringWebserviceEndpointConsumerBuilder
Advanced builder for endpoint consumers for the Spring WebService
component.
|
static interface |
SpringWebserviceEndpointBuilderFactory.AdvancedSpringWebserviceEndpointProducerBuilder
Advanced builder for endpoint producers for the Spring WebService
component.
|
static interface |
SpringWebserviceEndpointBuilderFactory.SpringWebserviceBuilders |
static interface |
SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder
Builder for endpoint for the Spring WebService component.
|
static interface |
SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointConsumerBuilder
Builder for endpoint consumers for the Spring WebService component.
|
static interface |
SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointProducerBuilder
Builder for endpoint producers for the Spring WebService component.
|
| Modifier and Type | Method and Description |
|---|---|
static SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder |
springWs(String path)
Spring WebService (camel-spring-ws)
The spring-ws component is used for SOAP WebServices using Spring
WebServices.
|
static SpringWebserviceEndpointBuilderFactory.SpringWebserviceEndpointBuilder springWs(String path)
spring-ws:type:lookupKey:webServiceEndpointUri
Path parameter: type
Endpoint mapping type if endpoint mapping is used. rootqname - Offers the
option to map web service requests based on the qualified name of the
root element contained in the message. soapaction - Used to map web
service requests based on the SOAP action specified in the header of the
message. uri - In order to map web service requests that target a
specific URI. xpathresult - Used to map web service requests based on the
evaluation of an XPath expression against the incoming message. The
result of the evaluation should match the XPath result specified in the
endpoint URI. beanname - Allows you to reference an
org.apache.camel.component.spring.ws.bean.CamelEndpointDispatcher object
in order to integrate with existing (legacy) endpoint mappings like
PayloadRootQNameEndpointMapping, SoapActionEndpointMapping, etc
The value can be one of: ROOT_QNAME, ACTION, TO, SOAP_ACTION,
XPATHRESULT, URI, URI_PATH, BEANNAME
Path parameter: lookupKey
Endpoint mapping key if endpoint mapping is used
Path parameter: webServiceEndpointUri
The default Web Service endpoint uri to use for the producer.
Path parameter: expression
The XPath expression to use when option type=xpathresult. Then this
option is required to be configured.Apache Camel